Name:          open-xchange-guard-backend-mailfilter
BuildArch:     noarch
BuildRequires: ant
BuildRequires: java-1.8.0-openjdk-devel
BuildRequires: open-xchange-mailfilter >= 7.10.6
Version:       2.10.7
%define        ox_release 12
Release:       %{ox_release}_<CI_CNT>.<B_CNT>
Group:         Applications/Productivity
License:       GPL-2.0
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
URL:           http://www.open-xchange.com/
Source:        %{name}_%{version}.orig.tar.bz2
Summary:       OX Guard Mail Filter
Autoreqprov:   no
Requires:      open-xchange-mailfilter >= 7.10.6-37

%description
This package adds the bundles for Guard mailfilter actions and tests.

Authors:
--------
    Open-Xchange

%prep

%setup -q

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
ant -lib build/lib -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -f build/build.xml clean build

%post
. /opt/open-xchange/lib/oxfunctions.sh

# prevent bash from expanding, see bug 13316
GLOBIGNORE='*'

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /opt/open-xchange/bundles/
/opt/open-xchange/bundles/*
%dir /opt/open-xchange/osgi/bundle.d/
/opt/open-xchange/osgi/bundle.d/*

%changelog
* Thu Apr 11 2024 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2024-04-10 (6277)
* Thu Mar 14 2024 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2024-03-15 (6276)
* Tue Jan 16 2024 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2024-01-20 (6267)
* Wed Nov 22 2023 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2023-11-24 (6258)
* Fri Sep 29 2023 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2023-10-09 (6249)
* Thu Jul 06 2023 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2023-07-11 (6242)
* Mon Mar 20 2023 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2023-03-28 (6224)
* Fri Mar 03 2023 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2023-03-13 (6221)
* Fri Jan 27 2023 Greg Hill <greg.hill@open-xchange.com>
Next candidate for 2.10.7 release
* Tue Jan 24 2023 Greg Hill <greg.hill@open-xchange.com>
Next candidate for 2.10.7 release
* Wed Jan 11 2023 Greg Hill <greg.hill@open-xchange.com>
First candidate for 2.10.7 release
* Thu Aug 11 2022 Greg Hill <greg.hill@open-xchange.com>
First preview of 2.10.7 release
* Thu Aug 11 2022 Greg Hill <greg.hill@open-xchange.com>
prepare for 2.10.7 release
* Mon Jul 04 2022 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2022-07-11 (6145)
* Thu Jun 02 2022 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2022-05-30 (6138)
* Wed Mar 16 2022 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2022-03-21 (6116)
* Mon Feb 21 2022 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2022-02-22 (6107)
* Mon Feb 14 2022 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2022-02-15 (6099)
* Mon Jan 17 2022 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2022-01-24
* Mon Nov 29 2021 Greg Hill <greg.hill@open-xchange.com>
First candidate for 2.10.6 release
* Fri Oct 22 2021 Greg Hill <greg.hill@open-xchange.com>
First preview of 2.10.6 release
* Wed Jun 09 2021 Greg Hill <greg.hill@open-xchange.com>
prepare for 2.10.6 release
* Wed Apr 21 2021 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2021-04-27 (5984)
* Tue Mar 23 2021 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2021-03-29 (5979)
* Thu Feb 11 2021 Greg Hill <greg.hill@open-xchange.com>
Build for patch 2021-02-22 (5954)
* Mon Feb 01 2021 Greg Hill <greg.hill@open-xchange.com>
Second candidate for 2.10.5 release
* Fri Jan 15 2021 Greg Hill <greg.hill@open-xchange.com>
First candidate for 2.10.5 release
* Thu Dec 17 2020 Greg Hill <greg.hill@open-xchange.com>
Second preview of 2.10.5 release
* Mon Nov 30 2020 Greg Hill <greg.hill@open-xchange.com>
First preview of 2.10.5 release
* Tue Oct 06 2020 Greg Hill <greg.hill@open-xchange.com>
prepare for 2.10.5 release
* Tue Jul 28 2020 Greg Hill <greg.hill@open-xchange.com>
First candidate for 2.10.4 release
* Tue Jun 30 2020 Greg Hill <greg.hill@open-xchange.com>
Second preview of 2.10.4 release
* Wed May 20 2020 Greg Hill <greg.hill@open-xchange.com>
Initial release. * First preview of 2.10.4 release
